Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.foundation.evolution
Class EvolutionAdapter

    java.lang.Object
      de.uka.ipd.consensus.foundation.evolution.EvolutionAdapter

All Implemented Interfaces:
  EventListener, EvolutionListener

public class EvolutionAdapter
extends Object
implements EvolutionListener

An adapter class for receiving evolution events. The methods in this class are empty. This class exists for convenience for creating listener objects if you don't want to implement all of the listener's methods.

Version:
  2006-06-14
Author:
  Thomas Much

Constructor Summary
`EvolutionAdapter()`

Method Summary
`void` | `associationDeleted(EvolutionEvent event)` Called by the EvolutionManager when an association is deleted.
`void` | `topicDeleted(EvolutionEvent event)` Called by the EvolutionManager when a topic is deleted.
`void` | `topicsMerged(EvolutionEvent event)` Called by the EvolutionManager when two topics are merged.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EvolutionAdapter

    public EvolutionAdapter()

Method Detail

### topicDeleted

    public void topicDeleted(EvolutionEvent event)

  Description copied from interface: `EvolutionListener`
  Called by the EvolutionManager when a topic is deleted.

  `EvolutionEvent.getConcept()` contains the deleted topic.

  Specified by:
    `topicDeleted` in interface `EvolutionListener`
  Parameters:
    `event` - the EvolutionEvent object containing the user and the deleted topic
  See Also:
    `EvolutionManager.deleteTopic(User, Topic)`, `EvolutionManager.deleteTopicAndSubtopics(User, Topic)`

### associationDeleted

    public void associationDeleted(EvolutionEvent event)

  Description copied from interface: `EvolutionListener`
  Called by the EvolutionManager when an association is deleted.

  `EvolutionEvent.getConcept()` contains the deleted association.

  Specified by:
    `associationDeleted` in interface `EvolutionListener`
  Parameters:
    `event` - the EvolutionEvent object containing the user and the deleted association
  See Also:
    `EvolutionManager.deleteAssociation(User, Association)`

### topicsMerged

    public void topicsMerged(EvolutionEvent event)

  Description copied from interface: `EvolutionListener`
  Called by the EvolutionManager when two topics are merged.

  `EvolutionEvent.getConcept()` contains one of the merged topics, `EvolutionEvent.getTopic()` the other.

  Specified by:
    `topicsMerged` in interface `EvolutionListener`
  Parameters:
    `event` - the EvolutionEvent object containing the user and the two merged topics
  See Also:
    `EvolutionManager.mergeTopics(User, Topic, Topic)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD